﻿var ayWeChatShare = ayWeChatShare || {
    FriendCircle: {
        title: document.title, // 分享标题
        link: location.href, // 分享链接
        imgUrl: '', // 分享图标
        trigger: function (res) { },
        success: function (res) { }, // 用户确认分享后执行的回调函数
        cancel: function (res) { }, // 用户取消分享后执行的回调函数
        fail: function (res) { }
    },
    Friend: {
        title: document.title, // 分享标题
        desc: document.title, // 分享描述
        link: location.href, // 分享链接
        imgUrl: '', // 分享图标
        trigger: function (res) { },
        success: function (res) { }, // 用户确认分享后执行的回调函数
        cancel: function (res) { }, // 用户取消分享后执行的回调函数
        fail: function (res) { }
    },
    QQ: {
        title: document.title,
        desc: document.title,
        link: location.href,
        imgUrl: '', // 分享图标
        trigger: function (res) { },
        complete: function (res) { },
        success: function (res) { },
        cancel: function (res) { },
        fail: function (res) { }
    },
    Weibo: {
        title: document.title,
        desc: document.title,
        link: location.href,
        imgUrl: '', // 分享图标
        trigger: function (res) { },
        complete: function (res) { },
        success: function (res) { },
        cancel: function (res) { },
        fail: function (res) { }
    },
    Config: {
        debug: false,
        appId: '',
        timestamp: 0,
        nonceStr: '',
        signature: '',
        jsApiList: [
          'checkJsApi',
          'onMenuShareTimeline',
          'onMenuShareAppMessage',
          'onMenuShareQQ',
          'onMenuShareWeibo',
          'hideAllNonBaseMenuItem',
          'showAllNonBaseMenuItem'
        ]
    },
    //分享到朋友圈
    shareToFriendCircle: function (share) {
        this.FriendCircle = $.extend({}, this.FriendCircle, share);
    },
    //分享给朋友
    shareToFriend: function (share) {
        this.Friend = $.extend({}, this.Friend, share);
    },
    //分享到QQ
    shareToQQ: function (share) {
        this.QQ = $.extend({}, this.QQ, share);
    },
    //分享到腾讯微博
    shareToWeibo: function (share) {
        this.Weibo = $.extend({}, this.Weibo, share);
    },
    share: function (share) {
        this.FriendCircle = $.extend({}, this.FriendCircle, share);
        this.Friend = $.extend({}, this.Friend, share);
        this.QQ = $.extend({}, this.QQ, share);
        this.Weibo = $.extend({}, this.Weibo, share);
    },
    init: function (config) {
        this.Config = $.extend({}, this.Config, config);
        wx.config(ayWeChatShare.Config);
    }
}

wx.ready(function () {
    if (ayWeChatShare.FriendCircle) {
        wx.onMenuShareTimeline({
            title: ayWeChatShare.FriendCircle.title,
            link: ayWeChatShare.FriendCircle.link,
            imgUrl: ayWeChatShare.FriendCircle.imgUrl,
            trigger: function (res) {
                ayWeChatShare.FriendCircle.trigger(res);
            },
            success: function (res) {
                ayWeChatShare.FriendCircle.success(res);
            },
            cancel: function (res) {
                ayWeChatShare.FriendCircle.cancel(res);
            },
            fail: function (res) {
                ayWeChatShare.FriendCircle.fail(res);
            }
        });
    }
    if (ayWeChatShare.Friend) {
        wx.onMenuShareAppMessage({
            title: ayWeChatShare.Friend.title,
            desc: ayWeChatShare.Friend.desc,
            link: ayWeChatShare.Friend.link,
            imgUrl: ayWeChatShare.Friend.imgUrl,
            trigger: function (res) {
                ayWeChatShare.Friend.trigger(res);
            },
            success: function (res) {
                ayWeChatShare.Friend.success(res);
            },
            cancel: function (res) {
                ayWeChatShare.Friend.cancel(res);
            },
            fail: function (res) {
                ayWeChatShare.Friend.fail(res);
            }
        });
    }
    if (ayWeChatShare.QQ) {
        wx.onMenuShareQQ({
            title: ayWeChatShare.QQ.title,
            desc: ayWeChatShare.QQ.desc,
            link: ayWeChatShare.QQ.link,
            imgUrl: ayWeChatShare.QQ.imgUrl,
            trigger: function (res) {
                ayWeChatShare.QQ.trigger(res);
            },
            complete: function (res) {
                ayWeChatShare.QQ.complete(res);
            },
            success: function (res) {
                ayWeChatShare.QQ.success(res);
            },
            cancel: function (res) {
                ayWeChatShare.QQ.cancel(res);
            },
            fail: function (res) {
                ayWeChatShare.QQ.fail(res);
            }
        });
    }
    if (ayWeChatShare.Weibo) {
        wx.onMenuShareWeibo({
            title: ayWeChatShare.Weibo.title,
            desc: ayWeChatShare.Weibo.desc,
            link: ayWeChatShare.Weibo.link,
            imgUrl: ayWeChatShare.Weibo.imgUrl,
            trigger: function (res) {
                ayWeChatShare.Weibo.trigger(res);
            },
            complete: function (res) {
                ayWeChatShare.Weibo.complete(res);
            },
            success: function (res) {
                ayWeChatShare.Weibo.success(res);
            },
            cancel: function (res) {
                ayWeChatShare.Weibo.cancel(res);
            },
            fail: function (res) {
                ayWeChatShare.Weibo.fail(res);
            }
        });
    }
});